POST api/contractapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
ContractViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| selected_nameplate_id | globally unique identifier |
None. |
|
| selected_sticker_id | globally unique identifier |
None. |
|
| washing_processes | Collection of WashingProcessViewModel |
None. |
|
| active | boolean |
Required |
|
| certificate_type_id | globally unique identifier |
Required |
|
| code | integer |
None. |
|
| delay_between_scans | integer |
None. |
|
| id | globally unique identifier |
None. |
|
| internal_reference | string |
String length: inclusive between 0 and 50 |
|
| item_wash_max | integer |
None. |
|
| language_code | string |
Required String length: inclusive between 0 and 10 |
|
| name | string |
Required String length: inclusive between 0 and 100 |
|
| packaging_type_id | globally unique identifier |
Required |
|
| packing_type_id | globally unique identifier |
Required |
|
| particles_control | boolean |
Required |
|
| peremption_month | integer |
None. |
|
| peremption_print_cleanroom | boolean |
Required |
|
| peremption_print_date | boolean |
Required |
|
| peremption_print_expedition | boolean |
Required |
|
| permanent_management | boolean |
Required |
|
| pool_id | globally unique identifier |
None. |
|
| remark | string |
None. |
|
| site_customer_id | globally unique identifier |
Required |
|
| sorting_type_id | globally unique identifier |
Required |
|
| type | string |
Required String length: inclusive between 0 and 1 |
Request Formats
application/json, text/json
Sample:
{
"selected_nameplate_id": "5149ae50-dbad-448e-a979-905400db43c0",
"selected_sticker_id": "26b2942a-c651-4bcc-89d5-1a3358e74642",
"washing_processes": [
{
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"active": true,
"code": "sample string 2",
"id": "22ed42bd-e0cf-44cc-858e-3e50a54d64aa",
"site_id": "8a8b2a73-cecb-4f35-869a-209d4da91dc3"
},
{
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"active": true,
"code": "sample string 2",
"id": "22ed42bd-e0cf-44cc-858e-3e50a54d64aa",
"site_id": "8a8b2a73-cecb-4f35-869a-209d4da91dc3"
}
],
"active": true,
"certificate_type_id": "33539541-64e7-4cc2-8876-cf51ef808daf",
"code": 1,
"delay_between_scans": 1,
"id": "6bfac005-3d8f-437f-94f7-4dc6ef22f841",
"internal_reference": "sample string 4",
"item_wash_max": 1,
"language_code": "sample string 5",
"name": "sample string 6",
"packaging_type_id": "bde82d80-e153-4325-9dcc-e41793111849",
"packing_type_id": "030aa9d9-81f5-41e4-ac25-b2ba117917ac",
"particles_control": true,
"peremption_month": 1,
"peremption_print_cleanroom": true,
"peremption_print_date": true,
"peremption_print_expedition": true,
"permanent_management": true,
"pool_id": "f924a807-1a75-4afa-b963-54578aff87f7",
"remark": "sample string 14",
"site_customer_id": "8e694c04-ec26-401f-8781-b7c14985d1a3",
"sorting_type_id": "3a16e4cf-184d-4d2c-9dd4-687ab7e6c879",
"type": "sample string 17"
}
application/xml, text/xml
Sample:
<contract xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<active>true</active>
<certificate_type_id>33539541-64e7-4cc2-8876-cf51ef808daf</certificate_type_id>
<code>1</code>
<delay_between_scans>1</delay_between_scans>
<id>6bfac005-3d8f-437f-94f7-4dc6ef22f841</id>
<internal_reference>sample string 4</internal_reference>
<item_wash_max>1</item_wash_max>
<language_code>sample string 5</language_code>
<name>sample string 6</name>
<packaging_type_id>bde82d80-e153-4325-9dcc-e41793111849</packaging_type_id>
<packing_type_id>030aa9d9-81f5-41e4-ac25-b2ba117917ac</packing_type_id>
<particles_control>true</particles_control>
<peremption_month>1</peremption_month>
<peremption_print_cleanroom>true</peremption_print_cleanroom>
<peremption_print_date>true</peremption_print_date>
<peremption_print_expedition>true</peremption_print_expedition>
<permanent_management>true</permanent_management>
<pool_id>f924a807-1a75-4afa-b963-54578aff87f7</pool_id>
<remark>sample string 14</remark>
<site_customer_id>8e694c04-ec26-401f-8781-b7c14985d1a3</site_customer_id>
<sorting_type_id>3a16e4cf-184d-4d2c-9dd4-687ab7e6c879</sorting_type_id>
<type>sample string 17</type>
<selected_nameplate_id>5149ae50-dbad-448e-a979-905400db43c0</selected_nameplate_id>
<selected_sticker_id>26b2942a-c651-4bcc-89d5-1a3358e74642</selected_sticker_id>
<washing_processes>
<washing_process>
<active>true</active>
<code>sample string 2</code>
<id>22ed42bd-e0cf-44cc-858e-3e50a54d64aa</id>
<site_id>8a8b2a73-cecb-4f35-869a-209d4da91dc3</site_id>
<descriptions xmlns:d4p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d4p1:KeyValueOfstringstring>
<d4p1:Key>sample string 1</d4p1:Key>
<d4p1:Value>sample string 2</d4p1:Value>
</d4p1:KeyValueOfstringstring>
<d4p1:KeyValueOfstringstring>
<d4p1:Key>sample string 3</d4p1:Key>
<d4p1:Value>sample string 4</d4p1:Value>
</d4p1:KeyValueOfstringstring>
</descriptions>
</washing_process>
<washing_process>
<active>true</active>
<code>sample string 2</code>
<id>22ed42bd-e0cf-44cc-858e-3e50a54d64aa</id>
<site_id>8a8b2a73-cecb-4f35-869a-209d4da91dc3</site_id>
<descriptions xmlns:d4p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d4p1:KeyValueOfstringstring>
<d4p1:Key>sample string 1</d4p1:Key>
<d4p1:Value>sample string 2</d4p1:Value>
</d4p1:KeyValueOfstringstring>
<d4p1:KeyValueOfstringstring>
<d4p1:Key>sample string 3</d4p1:Key>
<d4p1:Value>sample string 4</d4p1:Value>
</d4p1:KeyValueOfstringstring>
</descriptions>
</washing_process>
</washing_processes>
</contract>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"3409d907-4fc0-45c8-beb7-12be3af6f540"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">3409d907-4fc0-45c8-beb7-12be3af6f540</guid>